List followers
List accounts that follow a profile, up to 200 per page. Paginate with cursor and has_more. An unknown handle returns data: null or an empty page.
3 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
handle*string
Account handle with or without @, or an x.com or twitter.com profile URL.
Length
length <= 300cursor?string
cursor from the previous response. Omit for the first page and send it unchanged for later pages.
Length
length <= 2000curl -X GET "https://example.com/v1/x/profile/followers?handle=NASA" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "profiles": [ { "id": "29472803", "handle": "NASAWebb", "name": "NASA Webb Telescope", "description": "The Official *NASA* Webb X account. \n\nThe world's most powerful space telescope. Launched: Dec. 25, 2021. First images revealed: July 12, 2022.", "location": "Lagrange Point 2", "website": "https://nasa.gov/webb", "avatar_url": "https://pbs.twimg.com/profile_images/1767989888916299776/hFYvpxZM_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/29472803/1657642323", "followers_count": 3514827, "following_count": 63, "posts_count": 11580, "media_count": 3180, "likes_count": 4463, "is_verified": false, "is_blue_verified": true, "verified_type": "Government", "protected": false, "created_at": "2009-04-07T15:40:56.000Z", "pinned_post_ids": [ "2083241232755491197" ], "is_automated": false }, { "id": "34743251", "handle": "SpaceX", "name": "SpaceX", "description": "SpaceX designs, manufactures and launches the world’s most advanced rockets and spacecraft", "location": "Earth", "website": "http://spacex.com", "avatar_url": "https://pbs.twimg.com/profile_images/1697749409851985920/HbrI04tM_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/34743251/1681251194", "followers_count": 41913384, "following_count": 127, "posts_count": 11888, "media_count": 4739, "likes_count": 529, "is_verified": false, "is_blue_verified": true, "verified_type": "Business", "protected": false, "created_at": "2009-04-23T21:53:30.000Z", "pinned_post_ids": [ "2104354931595423762" ], "is_automated": false } ], "count": 2, "cursor": "1879197489821311875", "has_more": true }}